PROBE::NFS.PROC.(3stap)

NAME
probe::nfs.proc.read - NFS client synchronously reads file from server

SYNOPSIS

nfs.proc.read

VALUES

flags
    used to set task->tk_flags in rpc_init_task function

version
    NFS version

server_ip
    IP address of server

offset
    the file offset

prot
    transfer protocol

count
    read bytes in this execution

DESCRIPTION

All the nfs.proc.read kernel functions were removed in kernel commit 8e0969 in December 2006, so these probes do not exist on Linux 2.6.21 and newer kernels.

SEE ALSO
tapset::nfs_proc(3stap)